var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/hooks/useLatestFunc.ts
var useLatestFunc_exports = {};
__export(useLatestFunc_exports, {
  default: () => useLatestFunc_default
});
module.exports = __toCommonJS(useLatestFunc_exports);
var import_react = require("react");
function useLatestFunc(fn) {
  const ref = (0, import_react.useRef)(fn);
  (0, import_react.useEffect)(() => {
    ref.current = fn;
  });
  const callbackFn = (0, import_react.useCallback)((...args) => {
    ref.current(...args);
  }, []);
  return fn ? callbackFn : fn;
}
var useLatestFunc_default = useLatestFunc;
